flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aljos...@apache.org
Subject [4/4] flink git commit: [FLINK-6539] Run end-to-end tests on travis
Date Mon, 24 Jul 2017 09:22:08 GMT
[FLINK-6539] Run end-to-end tests on travis


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/bb118104
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/bb118104
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/bb118104

Branch: refs/heads/master
Commit: bb118104bc71e00e097b799d1cadb7f95736f69b
Parents: 1a5930c
Author: Aljoscha Krettek <aljoscha.krettek@gmail.com>
Authored: Thu May 11 12:17:47 2017 +0200
Committer: Aljoscha Krettek <aljoscha.krettek@gmail.com>
Committed: Mon Jul 24 11:20:04 2017 +0200

----------------------------------------------------------------------
 tools/travis_mvn_watchdog.sh | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/bb118104/tools/travis_mvn_watchdog.sh
----------------------------------------------------------------------
diff --git a/tools/travis_mvn_watchdog.sh b/tools/travis_mvn_watchdog.sh
index 1c1172e..c2a51a5 100755
--- a/tools/travis_mvn_watchdog.sh
+++ b/tools/travis_mvn_watchdog.sh
@@ -274,7 +274,7 @@ check_shaded_artifacts() {
 		echo "=============================================================================="
 		return 1
 	fi
-	 
+
 	GUAVA=`cat allClasses | grep '^com/google/common' | wc -l`
 	if [ $GUAVA != "0" ]; then
 		echo "=============================================================================="
@@ -399,5 +399,17 @@ upload_artifacts_s3
 # we are going back to
 cd ../../
 
+# only run end-to-end tests in misc because we only have flink-dist here
+case $TEST in
+	(misc)
+        echo "Running automated end-to-end tests"
+
+        test-infra/end-to-end-test/test_batch_wordcount.sh build-target cluster
+        EXIT_CODE=$(($EXIT_CODE+$?))
+        test-infra/end-to-end-test/test_streaming_kafka010.sh build-target cluster
+        EXIT_CODE=$(($EXIT_CODE+$?))
+	;;
+esac
+
 # Exit code for Travis build success/failure
 exit $EXIT_CODE


Mime
View raw message